Author Topic: [SOLVED] Cannot get Plugin to load from plugin mananger  (Read 5332 times)

The SD console error is below:

[MSG][1]Run 'New Document *'...
[ERR][2]Traceback (most recent call last):
[ERR][3]  File "<string>", line 19, in <module>
[ERR][4]AttributeError
[ERR][5]:
[ERR][6]module 'sdplugins' has no attribute 'Plugin'
[MSG][7]Run finished.
Last Edit: June 11, 2019, 04:03:49 pm

Hi,

We made some important changes to the way plugins work in Designer 2019.
Plugins for Designer 2018 and earlier are not compatible with the new version.

You need to modify your plugin to work with SD2019.
Check the documentation section about updating plugins:

https://docs.substance3d.com/sddoc/porting-previous-plugins-172825048.html

Esteban.

Thanks Etseban, I found that information shortly after posting this and have amended the outdated plugin code which now works.